/* Error Message Start */
.text-danger {
  color: red;
}

.email-err-msg {
  margin-right: 250px;
}

.pass-err-msg {
  margin-right: 230px;
}

/* Error Message End */
/* Search Input Field Start */
.suggestion {
  width: 100%;
  max-width: 400px;
  /* Adjust width as needed */
  padding: 10px;
  /* Adjust padding for better spacing */
  font-size: 16px;
  /* Adjust font size */
  border: 1px solid #ccc;
  /* Border color */
  border-radius: 4px;
  /* Rounded corners */
  transition: all 0.3s ease;
  /* Smooth transition for hover/focus effects */
}

.suggestion:focus {
  outline: none;
  /* Remove default outline */
}

.suggestion::placeholder {
  color: #888;
  /* Placeholder text color */
  opacity: 1;
  /* Ensure the placeholder text is fully opaque */
}

.suggestion {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.getCategoryId {
  background: #fff;
  border-right: 0;
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.ui-menu-item>div {
  font-size: 14px;
}

.ui-menu-item>div:hover {
  background: #10589b;
  border: 1px solid #10589b;
}

/* Search Input Field End */
.flex-container {
  display: flex;
  align-items: center;
  margin-left: 25px;
}

.flex-container>div {
  margin-right: 0;
  /* Remove the margin between elements */
}

.suggestion {
  height: 40px;
  /* Adjust height as needed */
}

/* --------------------------------------- Indian and foreign modal pop -up -----------------*/

.custom-model-main {
  text-align: center;
  overflow: hidden;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  /* z-index: 1050; */
  -webkit-overflow-scrolling: touch;
  outline: 0;
  opacity: 0;
  -webkit-transition: opacity 0.15s linear, z-index 0.15;
  -o-transition: opacity 0.15s linear, z-index 0.15;
  transition: opacity 0.15s linear, z-index 0.15;
  z-index: -1;
  overflow-x: hidden;
  overflow-y: auto;
}

.model-open {
  z-index: 99999;
  opacity: 1;
  overflow: hidden;
}

.custom-model-inner {
  -webkit-transform: translate(0, -25%);
  -ms-transform: translate(0, -25%);
  transform: translate(0, -25%);
  -webkit-transition: -webkit-transform 0.3s ease-out;
  -o-transition: -o-transform 0.3s ease-out;
  transition: -webkit-transform 0.3s ease-out;
  -o-transition: transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
  transition: transform 0.3s ease-out, -webkit-transform 0.3s ease-out;
  display: inline-block;
  vertical-align: middle;
  max-width: 60rem;
  width: 95%;
}

.custom-model-wrap {
  display: block;
  position: relative;
  background-color: #fff;
  border-radius: 2.4rem;
  padding: 7rem 5rem;
}

.pop-up-content-wrap h2 {
  font-family: "Helvetica Now Display", sans-serif;
  font-size: 3.4rem;
  font-weight: 700;
  color: #10589B;
  max-width: 32rem;
  margin-inline: auto;
  text-align: center;
  margin-bottom: 4rem;
}

.model-open {
  display: flex;
  justify-content: center;
  align-items: center;
}

.model-open .custom-model-inner {
  -webkit-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  transform: translate(0, 0);
  position: relative;
  z-index: 999;
}

.model-open .bg-overlay {
  background: rgba(0, 0, 0, 0.6);
  z-index: 99;
}

.bg-overlay {
  background: rgba(0, 0, 0, 0);
  height: 100vh;
  width: 100%;
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 0;
  -webkit-transition: background 0.15s linear;
  -o-transition: background 0.15s linear;
  transition: background 0.15s linear;
}

.close-btn {
  position: absolute;
  right: 3rem;
  top: 3rem;
  cursor: pointer;
  z-index: 99;
}

.modal-actions {
  display: flex;
  flex-direction: column;
  gap: 4rem;
}

.modal-actions a {
  font-size: 2.8rem;
  font-weight: 500;
  color: var(--light-blue);
  border: 0.1rem solid var(--light-blue);
  border-radius: 1.6rem;
  display: block;
  padding: 2.8rem;
  transition: 300ms all ease-in-out;
}

.modal-actions a:hover {
  color: var(--white);
  background: var(--light-blue);
}

@media only screen and (max-width: 1366px) {
  .modal-actions a {
    font-size: 2.4rem;
    padding: 2rem;
  }
}

@media only screen and (max-width: 1200px) {}

@media only screen and (max-width: 1024px) {}

@media only screen and (max-width: 767px) {
  .custom-model-wrap {
    padding: 5rem 2rem;
  }

  .pop-up-content-wrap h2 {
    font-size: 2.8rem;
  }

  .modal-actions {
    gap: 2rem;
  }

  .modal-actions a {
    font-size: 2rem;
    padding: 1rem;
  }

  .close-btn {
    top: 2rem;
    right: 2rem;
  }
}